---
navigation.icon: ph:users-bold
---
<!-- markdownlint-disable -->
<!-- @case-police-disable -->

::docs-hero
---
image:
  path: '/assets/docs/getting-started/nuxt-community/nuxt-community'
  width: '437'
  height: '236'
  format: 'png'
---
#title
Nuxt Community
#description
Nuxt would not be what it is today without its community of maintainers, contributors and users.
#extra
:newsletter-form
::

::community-section
#title
The journey of an [Open Source Project]{.text-transparent .bg-clip-text .bg-gradient-to-r .from-green-400 .to-teal-400}
#description
The development of Nuxt and its ecosystem is led by an international team. Our committed team and community work every day to move Nuxt forward.
#extra
  ::docs-community-journey-section{.dark:bg-gray-900}
  ---
  fontSizeClass: 'text-2xl'
  ---
  #extraTitle
  Since the creation of Nuxt 3
    ::card-list
    ---
    cardListClass: 'grid grid-cols-1 gap-1 sm:gap-8 sm:grid-cols-2 lg:grid-cols-4 border-gray-200 dark:border-gray-800 rounded-xl'
    backgroundImage:
      path: '/assets/docs/getting-started/nuxt-community/map-nuxters'
      width: '582'
      height: '187'
      format: 'png'
    ---
      :::card-item
      ---
      contentClass: ''
      ringClass: ''
      gradientBorder: false
      titleClass: 'text-3xl font-semibold sm:text-5xl u-text-gray-900 mb-2 mt-2'
      descriptionClass: 'u-text-gray-500 text-lg font-medium'
      bodyClass: 'p-2.5 sm:p-4'
      backgroundClass: 'bg-transparent'
      ---
      #title
      60M
      #description
      npm downloads
      :::
      :::card-item
      ---
      contentClass: ''
      ringClass: ''
      gradientBorder: false
      titleClass: 'text-3xl font-semibold sm:text-5xl u-text-gray-900 mb-2 mt-2'
      descriptionClass: 'u-text-gray-500 text-lg font-medium'
      bodyClass: 'p-2.5 sm:p-4'
      backgroundClass: 'bg-transparent'
      ---
      #title
      75K
      #description
      Stars
      :::
      :::card-item
      ---
      contentClass: ''
      ringClass: ''
      gradientBorder: false
      titleClass: 'text-3xl font-semibold sm:text-5xl u-text-gray-900 mb-2 mt-2'
      descriptionClass: 'u-text-gray-500 text-lg font-medium'
      bodyClass: 'p-2.5 sm:p-4'
      backgroundClass: 'bg-transparent'
      ---
      #title
      330
      #description
      Contributors
      :::
      :::card-item
      ---
      contentClass: ''
      ringClass: ''
      gradientBorder: false
      titleClass: 'text-3xl font-semibold sm:text-5xl u-text-gray-900 mb-2 mt-2'
      descriptionClass: 'u-text-gray-500 text-lg font-medium'
      bodyClass: 'p-2.5 sm:p-4'
      backgroundClass: 'bg-transparent'
      ---
      #title
      1K
      #description
      Forks
      :::
    ::
  ::
::

::community-section
#title
From users to [Contributors]{.text-transparent .bg-clip-text .bg-gradient-to-r .from-green-400 .to-teal-400}
#description
From contributors to advocates, the community is made of members with different horizons and skills. We are happy to see new members every day and encourage anyone to help in any way (answering questions, giving a talk, creating modules and contributing to the core).
#extra
  ::contributors-card
  #title
  Sharing is caring
  #default
  1. Hundreds of conferences, meetups and workshop all around the world since the creation of Nuxt.
  2. An active contribution on the framework but also on the different Nuxt open source projects: bug fixes, pull requests...
  3. A lovely and precious help to teach you, help you and nuxtify the world.
  ::
::


::community-section
#title
Join the [journey]{.text-transparent .bg-clip-text .bg-gradient-to-r .from-green-400 .to-teal-400}
#description
From user to contributor, these guides will help you get the best out of Nuxt.
#extra
  ::card-list
  ---
  cardListClass: 'grid grid-cols-1 pt-6 gap-y-4 sm:gap-y-0 sm:grid-cols-2 border-gray-200 dark:border-gray-800 rounded-lg overflow-hidden'
  ---
    ::card-item
    ---
    backgroundClass: 'border dark:border-gray-700'
    roundedClass: 'sm:rounded-r-none sm:rounded-br-none sm:rounded-tl-lg'
    ringClass: 'ring-0'
    gradientBorder: false
    descriptionClass: 'w-full sm:w-2/3'
    backgroundImageClass: 'hidden sm:block absolute bottom-0 right-0'
    backgroundImage:
      path: '/assets/docs/getting-started/nuxt-community/community-contribute'
      width: '88'
      height: '88'
      format: 'png'
    titleClass: 'text-base font-semibold u-text-gray-900'
    ---
    #title
    [How to contribute?](/docs/community/contribution)
    #description
    Nuxt is a community project - and so we love contributions of all kinds! ❤️
    ::
    ::card-item
    ---
    backgroundClass: 'border dark:border-gray-700'
    roundedClass: 'sm:rounded-l-none sm:rounded-br-none sm:rounded-tr-lg'
    ringClass: 'ring-0'
    gradientBorder: false
    descriptionClass: 'w-full sm:w-2/3'
    backgroundImageClass: 'hidden sm:block absolute bottom-0 right-0'
    backgroundImage:
      path: '/assets/docs/getting-started/nuxt-community/roadmap'
      width: '88'
      height: '88'
      format: 'png'
    titleClass: 'text-base font-semibold u-text-gray-900'
    ---
    #title
    [Discover our roadmap](/docs/community/roadmap)
    #description
    Nuxt is constantly evolving, with new features and modules being added all the time.
    ::
    ::card-item
    ---
    backgroundClass: 'border dark:border-gray-700'
    ringClass: 'ring-0'
    roundedClass: 'sm:rounded-tl-none sm:rounded-r-none sm:rounded-bl-lg'
    gradientBorder: false
    descriptionClass: 'w-full sm:w-2/3'
    backgroundImageClass: 'hidden sm:block absolute bottom-0 right-0'
    backgroundImage:
      path: '/assets/docs/getting-started/nuxt-community/bugs'
      width: '88'
      height: '88'
      format: 'png'
    titleClass: 'text-base font-semibold u-text-gray-900'
    ---
    #title
    [Reporting Bugs](/docs/community/reporting-bugs)
    #description
    One of the most valuable roles in open source is taking the time to report bugs helpfully.
    ::
    ::card-item
    ---
    backgroundClass: 'border dark:border-gray-700'
    ringClass: 'ring-0'
    roundedClass: 'sm:rounded-l-none sm:rounded-br-lg sm:rounded-tr-none'
    gradientBorder: false
    descriptionClass: 'w-full sm:w-2/3'
    backgroundImageClass: 'hidden sm:block absolute bottom-0 right-0'
    backgroundImage:
      path: '/assets/docs/getting-started/nuxt-community/help'
      width: '88'
      height: '88'
      format: 'png'
    titleClass: 'text-base font-semibold u-text-gray-900'
    ---
    #title
    [Getting Help](/docs/community/getting-help)
    #description
    We're a friendly community of developers and we'd love to help you!
    ::
  ::
::
