# Server

In a built Nuxt 3 application, there is no runtime Nuxt dependency. That means your site will be highly performant, and ultra-slim. But it also means you can no longer hook into runtime Nuxt server hooks.

[Read more about the Nitro server engine](/docs/guide/concepts/server-engine).

## Steps

1. Remove the `render` key in your `nuxt.config`.
1. Any files in `~/server/api` and `~/server/middleware` will be automatically registered; you can remove them from your `serverMiddleware` array.
1. Update any other items in your `serverMiddleware` array to point to files or npm packages directly, rather than using inline functions.
1. If you are adding any server hooks, such as `server:` or `vue-renderer:` you will need to remove these and wait for [nitropack](https://github.com/unjs/nitropack) support for runtime hooks and plugins.
